<HTML>
<head>
<meta name="robots"              content="noindex">
<meta name="author"    lang="en" content="Micro Focus International">
<meta name="copyright" lang="en" content="&copy; 2001-2006 Micro Focus International">
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>
^x                                                                               
Micro Focus Enterprise Server Administration</title>
<style type="text/css">
<!--
body
  {background-color: #ffffff;
   background-repeat: no-repeat}

.custom_small_blue
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:7pt;
    font-style: normal;
    font-weight: normal;
    color: #0000aa;
  }

.custom_small_grey
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:7pt;
    font-style: normal;
    font-weight: normal;
    color: #aaaaaa;
  }

.custom_small_red
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:7pt;
    font-style: normal;
    font-weight: normal;
    color: #aa0000;
  }

.custom_small_green
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:7pt;
    font-style: normal;
    font-weight: normal;
    color: #005500;
  }

.graph
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:4pt;
    font-style: normal;
    font-weight: normal;
    color: #000000;
  }

.custom_small
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:7pt;
    font-style: normal;
    font-weight: normal;
    color: #000000;
  }

  a 
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:7pt;
    font-style: normal;
    font-weight: normal;
    color: #000000;
    text-decoration: none;
  }

  b  
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:7pt;
    font-style: normal;
    font-weight: bold;
    color: #000000;
    text-decoration: none;
  }

.custom
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:10pt;
    font-style: normal;
    font-weight: normal;
    color: #000000;
  }

  a
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:10pt;
    font-style: normal;
    font-weight: normal;
    color: #000000;
    text-decoration: none;
  }

  a:hover
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:10pt;
    font-style: normal;
    font-weight: normal;
    color: #666666;
    text-decoration: none;
  }

  b
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:10pt;
    font-style: normal;
    font-weight: bold;
    color: #000000;
    text-decoration: none;
  }

.custom_red
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:10pt;
    font-style: normal;
    font-weight: bold;
    color: #ff0000;
  }

.custom_green
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:10pt;
    font-style: normal;
    font-weight: bold;
    color: #008800;
  }

.custom_white
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:10pt;
    font-style: normal;
    font-weight: normal;
    color: #bbbbaa;
  }

.custom_grey
  {font-family:
    Arial, Verdana, Helvetica, sans-serif;
    font-size:10pt;
    font-style: normal;
    font-weight: normal;
    color: #666666;
-->
</style>

<!--
// -->

</head>

<body topmargin="0" leftmargin="0" marginwidth="0" marginheight="0" VLINK="#000000" LINK="#000000" OnLoad="init();">

<SCRIPT LANGUAGE="JavaScript">

var itemChanged = 0;

function init()
{
  setLHSmenu();
  checkMenuLocation();
  clearItemChanged();
  firstFocus();

  if( document.hpage )
  {
    page_id = document.hpage.page.value;
  }
  else if( document.getElementById )
  {
    page_id = document.getElementById("page");
  }

  if( page_id )
  {
    switch( page_id )
    {
      case "w000":
        firstButton();
        break;

      case "l301":
      case "l001":
        SSLToggle();
        break;

      case "l300":
        ConnectorToggle();
        break;
    
      case "l601":
        SSLCertOptions();
        break;

      case "e000":
      case "e001":
      case "e040":
      case "e042":
      case "e043":

      case "h000":

      case "j200":
      case "j300":

      case "k000":
      case "k300":

      case "l000":
      case "l001":

      case "o000":
      case "o100":
      case "o200":

      case "q200":
      case "q300":

      case "r000":
      case "r300":

      case "u000":
      case "u700":
      case "u600":
      case "u602":

        EnableAdd();
        break;

      case "a000":
      case "a001":
        EnableNext();
        break;

      case "e041":
        EnableSSL();
        break;

      case "i300":
        CheckMQ();
        break;

      default: break;
    }
  }
}

function setLHSmenu()
{
  if( document.layers ) 
  {
    v = ".top=";
    dS = "document.";
    sD = "";
    y = "window.pageYOffset";
    z = "window.innerHeight";
  }
  else if( document.all )
  {
    v = ".pixelTop=";
    dS = "";
    sD = ".style";
    y = "document.body.scrollTop";
    z = "document.body.clientHeight";
  }
  else if( document.getElementById )
  {
    y = "window.pageYOffset";
    z = "window.innerHeight";
  }
}

function checkMenuLocation()
{
  object = "LHSmenu";
  zz = eval( z );

  if( zz > 500 )
  {
    yy = eval( y ) + 70;

    if( document.getElementById )
    {
      document.getElementById( "LHSmenu" ).style.top = yy;
    }
    else
    {
      eval( dS + object + sD + v + yy );
    }
  }
  else
  {
    if( document.getElementById )
    {
      document.getElementById( "LHSmenu" ).style.top = 70;
    }
  }
  
  setTimeout( "checkMenuLocation()", 10 );
}

function firstButton()
{
  if (document.forms.length > 0)
  {
    var form = document.forms[0];
    for( i = 0; i < form.length; i++ )
    {
      if( ( (form.elements[i].type == "submit") ) &&
            (form.elements[i].disabled == false) )   
      {
        document.forms[0].elements[i].focus();
        setCursorAtEnd( document.forms[0].elements[i] );
        break;
      }
    }
  }
}


function firstFocus()
{
  if (document.forms.length > 0)
  {
    var form = document.forms[0];
    for( i = 0; i < form.length; i++ )
    {
      if( ( (form.elements[i].type == "text") ||
            (form.elements[i].type == "textarea") ||
            (form.elements[i].type == "submit") ) &&
            (form.elements[i].disabled == false) )   
      {
        document.forms[0].elements[i].focus();
        setCursorAtEnd( document.forms[0].elements[i] );
        break;
      }
    }
  }
}

function setCursorAtEnd( field )
{

  if( field.createTextRange ) 
  {
    var f = field.createTextRange();
    f.moveStart( 'character', field.value.length );
    f.select();
  }

}

function clearItemChanged()
{
  itemChanged = 0;

  document.cookie = "mfValueChanged=0 ";
}

function setItemChanged()
{
  itemChanged = 1;

  document.cookie = "mfValueChanged=1 ";
}

function makeNumeric( field )
{
  if( field && field.value.length )
  {
    var fNumeric = true;
    var modStr = field.value;
    var strNumericChars = "0123456789";
    var strChar; 
    var strNumeric = "";  

    for (i = 0; i < field.value.length && fNumeric; i++)
    {
      strChar = modStr.charAt(i);
      if( strNumericChars.indexOf( strChar ) == -1 )
      {
        fNumeric = false;
        field.value = strNumeric;
      }
      else
      {
        strNumeric += strChar;
      }
    }
  }
}

function makeAlphaNumeric( field )
{
  if( field && field.value.length )
  {
    var fAlphaNumeric = true;
    var modStr = field.value;
    var strAlphaNumericChars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
    var strChar; 
    var strAlphaNumeric = "";  

    if( document.getElementById )
    {
      document.getElementById( "mfdsStatus" ).innerHTML = "MDS0001I OK";
    }

    for (i = 0; i < field.value.length && fAlphaNumeric; i++)
    {
      strChar = modStr.charAt(i);
      if( strAlphaNumericChars.indexOf( strChar ) == -1 )
      {
        fAlphaNumeric = false;
        field.value = strAlphaNumeric;

        if( document.getElementById )
        {
          document.getElementById( "mfdsStatus" ).innerHTML = "<b>MJ0001W Passwords must contain alphanumeric characters only</b>";
        }
      }
      else
      {
        strAlphaNumeric += strChar;
      }
    }


  }
}
</script>

<table border="0" cellspacing="0" cellpadding="0" width="100%" height="100%">
<tr valign="top" align="left">

<td valign="top" width="7" height="100%" bgcolor="#ffffff" class="custom">&nbsp;&nbsp;
</td>
<td>
  <table border="0" cellspacing="0" cellpadding="0" width="100%">
    <tr><td height="7"></td></tr>

    <tr><td valign="top">
       <a href="http://www.microfocus.com"><IMG border="0" SRC="mlogo.gif"></a>
   </td>
   <td></td>
   <td>
<table border="0" cellspacing="0" cellpadding="0">
<tr>
<td rowspan="3" valign="top"><img src="medusa.gif" border="0"></td>
<td valign="middle" class="custom" NOWRAP >
<span style="font-family:Arial,Verdana,helvetica,sans-serif;font-size:15pt;color:#00295a;font-weight:bold">
Enterprise Server Administration </span></td>
<td valign="middle"><span style="font-family:Arial,Verdana,helvetica,sans-serif;font-size:10pt;color:#555555;font-weight:normal">
&nbsp;^?
                                                                                                                
                                                                                                                
                                                                                                                
</span></td>
</span>
</td>
</tr>
<tr>
<td valign="top" class="custom_small" colspan=2>&nbsp;Version ^m                                                      
</td>
</tr>
<tr>
<td valign="top" class="custom" colspan=2>^s
                                                                                                                              
                                                                                                                               
                                                                                                                              

</td>
</tr>

</table>
   </td>
   </tr>
     <tr>
       <td valign="top" width="106">

^@                                                                                                     
                                                                                                       
                                                                                                       
                                                                                                         
                                                                                                         
                                                                                                                                             
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                                                                                                                                  
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                                                         
                                                                                                                                          
                                                                                                                                       
                                                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
                                                                                                         
     
</td>
   
<TD BGCOLOR="#ffffff" WIDTH="5" class="custom">&nbsp;</TD>
<TD VALIGN="TOP" WIDTH="100%">
<table border="0" cellspacing="0" cellpadding="0" width="100%" class="custom">
<tr>
<td>

</td>
</tr>

<TR>
<TD>
<TABLE BORDER="0" WIDTH="100%">
<TR>
<TD WIDTH="5" class="custom">&nbsp;</TD>
<TD class="custom">

<TABLE BGCOLOR=#ffffff VALIGN=TOP BORDER=0 CELLSPACING=0 CELLPADDING=2 WIDTH=100%>
<TR BGCOLOR=#ffffff>
<TD>
<TABLE WIDTH=100% BORDER=0 CELLPADDING=0 CELLSPACING=0 BGCOLOR=#888888><TR><TD>
<TABLE BGCOLOR=#888888 VALIGN=TOP BORDER=0 CELLSPACING=1 CELLPADDING=2 WIDTH=100%>
<TR>
<TD BGCOLOR=#ffffff class="custom" WIDTH=1>
Status</TD>
<td BGCOLOR=#ffffff width=100%>
<div id="mfdsStatus" class="custom^*
                                                                                                                              
                                                                                                                              
                                                                                                                              
                                                                                                                           
                                                                                                                             
</div>
</TD>


<TD BGCOLOR=#ffffff ALIGN=RIGHT nowrap class="custom">^t                                  
                                
</TD>

</TR>
</TABLE>
</TD></TR></TABLE>
</TD>
<td class="custom">&nbsp;&nbsp;</td>
</TR>
                ^n         
                                                       
                                                                                          
                                                                                                                                                  
                                                                                                                  
                           
                         

                                                       
                                                                                          
                                                                                                                                                  
                                                                                                                  
                           
                         
                                                       
                                                                                          
                                                                                                                                                  
                                                                                                                  
                           
                         
                                                       
                                                                                          
                                                                                                                                                  
                                                                                                                  
                           
                         
                                                       
                                                                                          
                                                                                                                                                  
                                                                                                                  
                           
                         
                                                       
                                                                                          
                                                                                                                                                  
                                                                                                                  
                           
                         
                                                       
                                                                                          
                                                                                                                                                  
                                                                                                                  
                           
                         

<TR>
<TD>


